//////////////////////////////////////////////////////////////////////////////////////////////////////  
//
// WIRELESS MOUSETRAP MONITORING SYSTEM by Alberto Ricci Bitti (c) 2003      www.riccibitti.com
//
//////////////////////////////////////////////////////////////////////////////////////////////////////  

#ifndef RADIO_INCLUDED
#define RADIO_INCLUDED

typedef unsigned int T_RADIO_DATA;


extern void radio_initialize( void );
extern void radio_poll( void );
extern T_RADIO_DATA int radio_get_packet( void );
extern unsigned int  radio_to_ID( unsigned int raw );
extern unsigned char radio_is_trigger( unsigned int raw );
extern unsigned char radio_is_battery( unsigned int raw );  
extern unsigned char radio_is_test( unsigned int raw );

#define RADIO_SAMPLING_FREQ 10000


#endif
