//////////////////////////////////////////////////////////////////////////////////////////////////////  
//
// WIRELESS MOUSETRAP MONITORING SYSTEM by Alberto Ricci Bitti (c) 2003      www.riccibitti.com
//
//////////////////////////////////////////////////////////////////////////////////////////////////////  

#ifndef KEYBOARD_INCLUDED
#define KEYBOARD_INCLUDED


#define FREQ_20_HERTZ 20    // suggested sampling frequency (20 Hz, 50 mS) gives fast 
                            // key responsiveness and suppresses contact bounces

enum { KEY_NONE, KEY_SETUP, KEY_CLEAR, KEY_STORE, KEY_FWD, KEY_BACK };  //keys supported


extern void          key_initialize( void );    //initialize keyboard driver and I/O
extern void          key_poll      ( void );    //keyboard housekeeping
extern unsigned char key_get       ( void );    //gets last key pressed and clears keyboard buffer

#endif
